package ch.pizzalemon.android.model.cart;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * Created by cimenmus on 05/10/2017.
 */

public class CartProductOptionModel implements Serializable {

    @Expose @SerializedName("product_option_id") private String id;
    @Expose @SerializedName("product_option_value_id") private String valueId;

    private String name;
    private String value;
    private String type;

    public void checkNull(){

        if(id == null)
            id = "";

        if(valueId == null)
            valueId = "";

        if(name == null)
            name = "";

        if(value == null)
            value = "";

        if(type == null)
            type = "";
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getValueId() {
        return valueId;
    }

    public void setValueId(String valueId) {
        this.valueId = valueId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
